# Method: advertisers.channels.patch

- [HTTP request](https://developers.google.com/display-video/api/v1beta2/reference/rest/v1beta2/advertisers.channels/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/api/v1beta2/reference/rest/v1beta2/advertisers.channels/patch#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/display-video/api/v1beta2/reference/rest/v1beta2/advertisers.channels/patch#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/v1beta2/reference/rest/v1beta2/advertisers.channels/patch#body.request_body)
- [Response body](https://developers.google.com/display-video/api/v1beta2/reference/rest/v1beta2/advertisers.channels/patch#body.response_body)
- [Authorization Scopes](https://developers.google.com/display-video/api/v1beta2/reference/rest/v1beta2/advertisers.channels/patch#body.aspect)

Updates a channel. Returns the updated channel if successful.

### HTTP request

`PATCH https://displayvideo.googleapis.com/v1beta2/advertisers/{advertiserId}/channels/{channel.channelId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `channel.channelId` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The unique ID of the channel. Assigned by the system. |
| `advertiserId` | `string (https://developers.google.com/discovery/v1/type-format format)` The ID of the advertiser that owns the created channel. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#google.protobuf.FieldMask` format)`` Required. The mask to control which fields to update. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |
| `partnerId` | `string (https://developers.google.com/discovery/v1/type-format format)` The ID of the partner that owns the created channel. |

### Request body

The request body contains an instance of `https://developers.google.com/display-video/api/v1beta2/reference/rest/v1beta2/advertisers.channels#Channel`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/display-video/api/v1beta2/reference/rest/v1beta2/advertisers.channels#Channel`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).